POST /restore/upgrade

POST /restore/upgrade

/restore/upgrade

Request
URI
POST
https://{api_host}/api/restore/upgrade
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

RestoreParams

RestoreParams of type(s) application/json
Required  

Show optional properties

{
    "file": "string"
}
{
    "enable_migration": false,
    "file": "string",
    "passphrase": "string",
    "prechecks_only": false,
    "skip_warnings": false,
    "type": "string"
}
boolean
enable_migration
Optional

This flag is set to allow migration across version during controller restore operations. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
file
Required  

Requested config file path. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
passphrase
Optional

The passphrase with which the configuration was exported. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
prechecks_only
Optional

This flag is set to run the pre-checks without the subsequent restore operations. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
skip_warnings
Optional

This flag allows you to bypass the warning prechecks. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
type
Optional
Constraints: default: BUNDLE

Type of the file. Enum options - JSON, BUNDLE. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns string of type(s) application/json
Operation doesn't return any data structure

401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"file":"string"}' https://{api_host}/api/restore/upgrade